Package: org.gmetrics.ant

## [Groovy] Class AntFileSetSourceAnalyzer

- org.gmetrics.ant.AntFileSetSourceAnalyzer

- All Implemented Interfaces and Traits:
    SourceAnalyzer

      class AntFileSetSourceAnalyzer

  SourceAnalyzer implementation that gets source files from one or more Ant FileSets. This class is not reentrant.

  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected List` | `fileSets` |
    `protected ResultsNode` | `rootResultsNode` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AntFileSetSourceAnalyzer (org.apache.tools.ant.Project project, List fileSets)` Construct a new instance on the specified List of Ant FileSets.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ResultsNode` | `analyze(MetricSet metricSet)` Analyze all source code using the specified MetricSet and return the results node.
    `` | `protected ResultsNode` | `findOrAddResultsNodeForPath(String path, String packageName)`
    `` | `protected ResultsNode` | `findResultsNodeForPath(String path)`
    `` | `List` | `getSourceDirectories()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected List fileSets

    - #### protected ResultsNode rootResultsNode

  - ### Constructor Detail

    - #### AntFileSetSourceAnalyzer(org.apache.tools.ant.Project project, List fileSets)

      Construct a new instance on the specified List of Ant FileSets.

      Parameters:
        `project` - - the Ant Project
        `fileSets` - - the List of Ant FileSet; my be empty; must not be null

  - ### Method Detail

    - #### ResultsNode analyze(MetricSet metricSet)

      Analyze all source code using the specified MetricSet and return the results node.

      Parameters:
        `metricSet` - - the MetricSet to apply to each source component; must not be null.
      Returns:
        the root ResultsNode resulting from applying the MetricSet to all of the source

    - #### protected ResultsNode findOrAddResultsNodeForPath(String path, String packageName)

    - #### protected ResultsNode findResultsNodeForPath(String path)

    - #### List getSourceDirectories()